#!/bin/bash
DATE=`date '+%Y-%m-%d_%H:%M:%S'`

## Copia configuració modificada d'Ansible
if [ -f /etc/ansible/ansible.cfg ]; then
	cp -av /etc/ansible/ansible.cfg /etc/ansible/ansible.cfg."$DATE"
fi
cp -av /usr/share/linkat/linkat-ansible/ansible.cfg /etc/ansible/ansible.cfg

## Genera claus SSH
if [ ! -d /root/.ssh/ ]; then
	mkdir -p /root/.ssh/
fi

## Copia clau a autoritzats de l'usuari anuser
if [ ! -f /root/.ssh/id_rsa.pub ]; then
	ssh-keygen -b 4096 -t rsa -f /root/.ssh/id_rsa -P ""
fi
cat /root/.ssh/id_rsa.pub >> /home-local/anuser/.ssh/authorized_keys

## Copia config especial SSH
cp -av /usr/share/linkat/linkat-ansible/config /root/.ssh/

## Copia fitxers hosts modificat Ansible
if [ -f /etc/ansible/hosts ]; then
	cp -av /etc/ansible/hosts /etc/ansible/hosts."$DATE"
fi
cp -av /usr/share/linkat/linkat-ansible/hosts /etc/ansible/hosts
